Subject: Menu-based installer unusable through noVNC
From: Robert Vollmert <[email-masked]>
To: [email-masked]
Date: Mon, 3 Jun 2019 11:35:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I’m in the process of setting up a Guix VPS with arpnetworks.com.

There seems to be some conflict between the “graphical” installer’s idea
of the console size and VNC’s (which appears to be noVNC
https://novnc.com/info.html). As you can see in the attached screenshot,
the screen is cropped on all sides, particularly making the menu choices
unviewable.

Not sure if relevant, but the console goes through a successful mode switch
earlier in the booting process, where the VNC display size changes. Seems
like that should happen again when the menus start, but it doesn’t.

I’ve run other installers through noVNC successfully so there’s a good
chance this is a Guix issue, can’t say for sure though.